#!/usr/bin/perl -w -I ../_lib -I ../_sal -I .. -I ../_config -I ../_cgi_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

use view_entries;


# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE = $query->param('TREE');
my $USERNAME = $query->param('USERNAME');
my $LOCATION = $query->param('LOCATION');

my $BY = $query->param('BY');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "View Tree");
&print_simple_header();


#print "\n<BR> t: $TREE";
#print "\n<BR> l: $LOCATION";
#print "\n<BR> u: $USERNAME";
#print "\n<BR> b: $BY";
#print "\n<BR><BR>";


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :


&print_tree($TREE, $USERNAME, "", $BY, "am_admin");


# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------
