# -----------------------------------------------------------------------------
package admin_view_tree;
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# History :
# 
# -- 2001 Feb 23: 
#          
# -- 
# 
# -----------------------------------------------------------------------------

use strict;
use vars qw(@ISA @EXPORT);

use config;
use debug;
use exceptions;

use Tree;

# -----------------------------------------------------------------------------

require Exporter;

@ISA = qw(Exporter);
@EXPORT = qw(print_tree);

# -----------------------------------------------------------------------------
# -- MODULE/PACKAGE VARS :
# -----------------------------------------------------------------------------


# -----------------------------------------------------------------------------
# -- EXPORTS :

sub print_tree() {

  my $TREE = shift;

    my $tree = Tree->new($TREE);

    print "\n<H1><FONT FACE=\"helvetica\" COLOR=\"\#006800\">The Tree: " .
          "$TREE</FONT></H1>";

    print "\n <TABLE BORDER=0>";

    foreach (@{$tree->{TREETOO}}) {
        print "\n <TR><TD COLSPAN=4><BR><H2><FONT FACE=\"courier\">$_->{CDF}</FONT></H2></TD></TR>";
        print "\n <TR>";
        print "\n <TD VALIGN=\"top\" WIDTH=\"10%\"></TD>";
        print "\n <TD VALIGN=\"top\" WIDTH=\"20%\"><B>Readme</B></TD>";
        print "\n <TD COLSPAN=3><PRE>" . $_->{README} . "</PRE></TD>";
        print "\n </TR><TR>";
        print "\n <TD VALIGN=\"top\" WIDTH=\"10%\"></TD>";
        print "\n <TD VALIGN=\"top\"><B>Allow</B></TD>";
        print "\n <TD><PRE>$_->{ALLOW}</PRE></TD>";
        print "\n <TD VALIGN=\"top\"><B>Deny</B></TD>";
        print "\n <TD><PRE>$_->{DENY}</PRE></TD>";
        print "\n </TR>";
        print "\n <TR><TD COLSPAN=5><HR></TD></TR>";
      }
    print "\n </TR></TABLE>";
  }


# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
