#!/usr/bin/perl -w 

my $textline = "";
my $thingy   = "";

print "\n Searching current directory...";
&do();
print "\n\n";


sub do() {

    opendir (DIR, ".")
        || die "\n Can't open current directory...";

    foreach $filename (readdir(DIR)) {

        if ($filename eq ".") {next}
        if ($filename eq "..") {next}

        if ($filename =~ m/\-\-README$/) {
            print "\n Found: $filename";

            my $new = $filename;
            $new =~ s/\-\-README$/\.README/;
            print "\n   ...new: $new";

            rename($filename, $new);
          }

        # -- change readme entry :
        if ($filename =~ m/\-\-THINGY$/) {
            open(FILE, $filename)
                || die "Can't open TH(r): $filename";
            $thingy = "";
            while ($textline = <FILE>) {
                if ($textline =~ m/\<README\>.*\-\-README\<\/README\>/) {
                    print "\n <README>...";     
                    $textline =~ s/\-\-README/\.README/;
                    print "\n     $textline";
                  }
                $thingy .= $textline;
              }
            close(FILE);
            
            open(FILE, ">$filename")
                || die "Can't open TH(w): $filename";    
            print FILE $thingy;
            close(FILE);
          }

        if (-d $filename) {
            print "\n Dir: $filename";
            chdir($filename);
            &do();
          }
      }
    chdir("..");
  }