# -----------------------------------------------------------------------------
package admin_bits;
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# History :
# 
# -- 2001 Mar 08: 
#          
# -- 
# 
# -----------------------------------------------------------------------------

use strict;
use vars qw(@ISA @EXPORT);

use admin_bits;

use config;
use debug;
use exceptions;

# -----------------------------------------------------------------------------

require Exporter;

@ISA = qw(Exporter);
@EXPORT = qw(refresh_to_admin_menu refresh_to_admin_menu_alt
             refresh_to_admin_menu_alt_too
             refresh_to_admin_login);

# -----------------------------------------------------------------------------
# -- MODULE/PACKAGE VARS :
# -----------------------------------------------------------------------------


# -----------------------------------------------------------------------------
# -- EXPORTS :


sub refresh_to_admin_login() {

  my $given_string = shift;

    my $string = "";

    $string .= "\n<TABLE BORDER=0><TR><TD WIDTH=\"45%\" VALIGN=\"top\">";
    $string .= "\n<BIG><B>";
    $string .= $given_string;
    $string .= "</B></BIG>";
    $string .= "</TD><TD WIDTH=\"10%\"></TD><TD>";
    $string .= "<BIG>\n";

    $string .= "In 10 seconds will shortly be refreshed back to " 
            . "the Admin Tool Page" 
            . "<FONT FACE=\"courier\">...</FONT>"
            . "<META HTTP-EQUIV=\"refresh\" content=\"10; "
            . "URL=" . "admin_tool.pl\?" 
                                     . "LOGIN\=LOG_ME_IN\&"
            . "\">\n";

    $string .= "or " 
            . "<A HREF=\"" . "admin_tool.pl\?" 
                             . "LOGIN\=LOG_ME_IN\&"
            . "\">click here</A> to go immediately<BR>\n";

    $string .= "\n</BIG>\n";
    $string .= "</TD></TR></TABLE>\n";

    return $string;
  }


sub refresh_to_admin_menu_alt_too() {

  my $TREE         = shift;
  my $USERNAME     = shift;
  my $given_string = shift;

    my $string = "";

    $string .= "\n<TABLE BORDER=0><TR><TD WIDTH=\"45%\" VALIGN=\"top\">";
    $string .= "\n<BIG><B>";
    $string .= $given_string;
    $string .= "</B></BIG>";
    $string .= "</TD><TD WIDTH=\"10%\"></TD><TD>";
    $string .= "<BIG>\n";

    $string .= "In 10 seconds will shortly be refreshed back to " 
            . "the Admin Tool Page" 
            . "<FONT FACE=\"courier\">...</FONT>"
            . "<META HTTP-EQUIV=\"refresh\" content=\"10; "
            . "URL=" . "admin_tool.pl\?" 
                                     . "TREE\=$TREE\&"
                                     . "USERNAME\=$USERNAME\&"
            . "\">\n";

    $string .= "or " 
            . "<A HREF=\"" . "admin_tool.pl\?" 
                             . "TREE\=$TREE\&"
                             . "USERNAME\=$USERNAME\&"
            . "\">click here</A> to go immediately<BR>\n";

    $string .= "\n</BIG>\n";
    $string .= "</TD></TR></TABLE>\n";

    return $string;
  }


#sub refresh_to_admin_menu_alt() {
#
#  my $TREE     = shift;
#  my $USERNAME = shift;
#
#    my $string = "";
#
#    $string .= "\n";
#    $string .= "<BIG>\n";
#
#    $string .= "In 10 seconds will shortly be refreshed back to " 
#            . "the Admin Tool Page" 
#            . "<FONT FACE=\"courier\">...</FONT>"
#            . "<META HTTP-EQUIV=\"refresh\" content=\"10; "
#            . "URL=" . "admin_tool.pl\?" 
#                                     . "TREE\=$TREE\&"
#                                     . "USERNAME\=$USERNAME\&"
#            . "\">\n";
#
#    $string .= "or " 
#            . "<A HREF=\"" . "admin_tool.pl\?" 
#                             . "TREE\=$TREE\&"
#                             . "USERNAME\=$USERNAME\&"
#            . "\">click here</A> to go immediately<BR>\n";
#
#    $string .= "\n</BIG>\n\n";
#
#    return $string;
#  }


sub refresh_to_admin_menu() {

  my $TREE     = shift;
  my $USERNAME = shift;

    print "\n\n<BR><BR>\n";
    print "<CENTER><BIG>\n";

    print "In 10 seconds will shortly be refreshed back to " 
        . "the Admin Tool Page" 
        . "<FONT FACE=\"courier\">...</FONT>"
        . "<META HTTP-EQUIV=\"refresh\" content=\"10; "
            . "URL=" . "admin_tool.pl\?" 
                                     . "TREE\=$TREE\&"
                                     . "USERNAME\=$USERNAME\&"
        . "\"><BR>\n";

    print "<FONT FACE=\"courier\">...</FONT>or " 
        . "<A HREF=\"" . "admin_tool.pl\?" 
                             . "TREE\=$TREE\&"
                             . "USERNAME\=$USERNAME\&"
        . "\">click here</A> to go immediately<BR>\n";

    print "\n</BIG></CENTER>\n\n";
  }

# -----------------------------------------------------------------------------
# -- PRIVATES :



# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
