#!/usr/bin/perl -w -I ../_lib -I ../_sal -I ../_config

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

use admin_entries;


# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE     = $query->param('TREE');
my $LOCATION = $query->param('LOCATION');
my $AEACTION = $query->param('AEACTION');
my $ENTRY    = $query->param('ENTRY');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "View Tree");
&print_simple_header();


print "\n<BR> t: $TREE";
print "\n<BR> l: $LOCATION";
print "\n<BR> a: $AEACTION";
print "\n<BR> e: $ENTRY";
print "\n<BR><BR>";


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($AEACTION eq "DELETE") {
    &delete_entry($TREE, $LOCATION, $ENTRY);
  }

# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------
