#!/usr/bin/perl -w -I ./_cgi_lib -I ./_sal -I ./_config -I ./_sal_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;

use Cookie;
use Exception;

use move_entry;

# -----------------------------------------------------------------------------
# INIT :

my $cookies = Cookie->new();
my $except = Exception->new();
my $query  = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE            = $query->param('TREE');
my $LOCATION        = $query->param('LOCATION');
my $USERNAME        = $query->param('USERNAME');
my $REALNAME        = $query->param('REALNAME');
my $THINGY          = $query->param('THINGY');
my $SELECTNEWLOCAT  = $query->param('SELECTNEWLOCAT');
my $ACTUALLYMOVE    = $query->param('ACTUALLYMOVE');
my $NEWLOCAT        = $query->param('NEWLOCAT');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Move Entry");
&print_simple_header();


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless ($cookies->valid_admin_cookie($except)) {
    $except->raise_logout($cookies, "invalid_admin_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($SELECTNEWLOCAT eq "selnewlocat") {
    &print_select_new_locat_form($except, 
                                 $TREE, $LOCATION, $USERNAME, $REALNAME, 
                                 $THINGY)
  }
elsif ($ACTUALLYMOVE eq "actmv") {
    &actually_move_entry($except,
                         $TREE, $LOCATION, $USERNAME, $REALNAME, 
                         $THINGY, $NEWLOCAT)
  }
else {
    $except->raise_info("Script <TT>move_entry</TT> called oddly.");
  }

# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------
